cppcms::filters::datetime Class Reference

Format date and time to ouput stream. More...

`#include <cppcms/filters.h>`

## Public Member Functions

| datetime (datetime const &other)
datetime const & | operator= (datetime const &other)
| datetime (streamable const &t)
| datetime (streamable const &time, std::string const &timezone)
void | operator() (std::ostream &out) const

## Detailed Description

Format date and time to ouput stream.

Formats date and time to the stream, date and time is represented as time_t

## Constructor & Destructor Documentation

cppcms::filters::datetime::datetime | ( | streamable const & | t | ) |

Create date and time filter that formats current local-time date and time using POSIX time representation t

cppcms::filters::datetime::datetime | ( | streamable const & | time,
|  | std::string const & | timezone
| ) |  |

Create date and time filter that formats current date and time using POSIX time representation t, in a timezone timezone

The documentation for this class was generated from the following file:

- cppcms/filters.h